import { ILog } from './log.interface';

export abstract class Log implements ILog {
  public log(message?: any, ...optionalParams: any[]): void {
    if (message) {
      console.log(message, ...optionalParams);
    } else {
      console.log(...optionalParams);
    }
  }
}
